%define name		javalayer
%define major		0
%define minor		2
%define micro		0
%define version		%{major}.%{minor}.%{micro}
%define tversion	%{major}.%{minor}
%define jversion	%{major}%{minor}%{micro}
%define release		4jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        100% Java MP3 decoder/player/converter library
License:        GPL
Url:            http://www.javazoom.net/%{name}/%{name}.html
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:        http://www.javazoom.net/%{name}/sources/%{name}%{tversion}.tar.gz
BuildRequires:  ant
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
The core of JavaLayer is an Mpeg Audio decoder.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
ant all

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 jl%{jversion}.jar \
$RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES.txt LICENSE.txt README.txt
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Mon Feb 24 2003 David Walluck <david@anti-microsoft.org> 0.2.0-4jpp
- remove the class files so that we actually build the jar ourselves

* Mon Feb 24 2003 David Walluck <david@anti-microsoft.org> 0.2.0-3jpp
- they say third time's a charm

* Mon Feb 24 2003 David Walluck <david@anti-microsoft.org> 0.2.0-2jpp
- someone was paying attention, but it was not me

* Wed Feb 19 2003 David Walluck <david@anti-microsoft.org> 0.2.0-1jpp
- release
